# -*- coding:Utf-8 -*-

import es, cfglib, gamethread

info = es.AddonInfo()
info.name = "Nade Fruit"
info.version = "2.0"
info.author = "Matth"
info.basename = "nadefruit"
info.url = "http://addons.eventscripts.com/addons/view/nadefruit"
es.ServerVar(info.basename, info.version + " by " + info.author).makepublic()
es.doblock('corelib/noisy_on')

config = cfglib.AddonCFG(es.getAddonPath('nadefruit' + '/nadefruit.cfg'))
advert_actif        = config.cvar('advert_actif',   '1', 'Activer un message à chaque nouveau joueur, lui présentant le script (1 = ON, 0 = OFF)')
grenade_choice      = config.cvar('grenade_choice',     'pasteque', 'Indiquez le nom du fruit a mettre pour la grenade (pasteque, banane, orange)\n// Pour remettre par defaut effacez le fichier nadefruit.cfg')
flashbang_choice    = config.cvar('flashbang_choice',   'banane', 'Indiquez le nom du fruit a mettre pour la flash (pasteque, banane, orange)\n// Pour remettre par defaut effacez le fichier nadefruit.cfg')
smoke_choice        = config.cvar('smoke_choice',   'orange', 'Indiquez le nom du fruit a mettre pour la fumigene (pasteque, banane, orange)\n// Pour remettre par defaut effacez le fichier nadefruit.cfg')
config.write()

model_he = None
model_flash = None
model_smoke = None

def load():
    config.execute()
    configuration()

def es_map_start(ev):
    config.execute()
    configuration()

def configuration():
    global model_he, model_flash, model_smoke
    if grenade_choice == "pasteque":
        model_he = str(es.precachemodel("models/props_junk/watermelon01.mdl"))
    elif grenade_choice == "banane":
        model_he = str(es.precachemodel("models/props/cs_italy/bananna.mdl"))
    else:
        model_he = str(es.precachemodel("models/props/cs_italy/orange.mdl"))
    if flashbang_choice == "pasteque":
        model_flash = str(es.precachemodel("models/props_junk/watermelon01.mdl"))
    elif flashbang_choice == "banane":
        model_flash = str(es.precachemodel("models/props/cs_italy/bananna.mdl"))
    else:
        model_flash = str(es.precachemodel("models/props/cs_italy/orange.mdl"))
    if smoke_choice == "pasteque":
        model_smoke = str(es.precachemodel("models/props_junk/watermelon01.mdl"))
    elif smoke_choice == "banane":
        model_smoke = str(es.precachemodel("models/props/cs_italy/bananna.mdl"))
    else:
        model_smoke = str(es.precachemodel("models/props/cs_italy/orange.mdl"))

def player_activate(ev):
    es.tell(ev['userid'], '#multi', '#default[#greenNadeFruit#default]#lightgreen Version:', info.version + " by " + info.author + '\n#default[#greenNadeFruit#default]#lightgreen Attention, les grenades sont devenues des fruits! N\'avalez pas de travers :P')

def weapon_fire(ev):
    if ev['weapon'] == 'hegrenade':
        gamethread.delayed(.15, changemodelhe)
    if ev['weapon'] == 'smokegrenade':
        gamethread.delayed(.15, changemodelsmoke)
    if ev['weapon'] == 'flashbang':
        gamethread.delayed(.15, changemodelflash)
            
def changemodelhe():
    grenade = es.createentitylist('hegrenade_projectile')
    for x in grenade:
        es.setindexprop(x, 'CBaseEntity.m_nModelIndex', model_he)
        es.setindexprop(x, 'CBaseEntity.m_clrRender', -1)

def changemodelflash():
    flash = es.createentitylist('flashbang_projectile')
    for x in flash:
        es.setindexprop(x, 'CBaseEntity.m_nModelIndex', model_flash)
        es.setindexprop(x, 'CBaseEntity.m_clrRender', -1)

def changemodelsmoke():
    smoke = es.createentitylist('smokegrenade_projectile')
    for x in smoke:
        es.setindexprop(x, 'CBaseEntity.m_nModelIndex', model_smoke)
        es.setindexprop(x, 'CBaseEntity.m_clrRender', -1)    

def unload():
    es.doblock('corelib/noisy_off')


    
    
